return {
  "akinsho/toggleterm.nvim",
  version = "*",
  config = function()
    require("toggleterm").setup({
      -- Open with Ctrl + `
      open_mapping = [[<C-`>]],

      -- Terminal behavior
      start_in_insert = true,
      insert_mappings = true,
      terminal_mappings = true,
      persist_size = true,
      close_on_exit = true,

      -- Visuals
      hide_numbers = true,
      shade_terminals = false, -- important for transparency
      direction = "float",

      float_opts = {
        border = "rounded",
        winblend = 0,
      },
    })
  end,
}

